Name:           yokadi
Version:        0.12.0
Release:        1%{?dist}
Summary:        Command line oriented todo list system

Group:          Applications/Internet
License:        GPLv3
URL:            http://yokadi.github.com/
Source0:        http://yokadi.github.com/download/%{name}-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-sqlite2
Requires:       python-sqlobject
Requires:       python-dateutil


%description
Yokadi is a command-line oriented, SQLite powered, TODO list tool.
It helps you organize all the things you have to do and you must not
forget.It aims to be simple, intuitive and very efficient.

In Yokadi you manage projects, which contains tasks. At the minimum,
a task has a title, but it can also have a description, a due date,
an urgency or keywords. Keywords can be any word that help you to find
and sort your tasks.


%prep
%setup -q
sed -i -e '/^#!\//, 1d' update/dump.py
sed -i -e '/^#!\//, 1d' {src/yokadi/yokadi.py,src/yokadi/yokadid.py,src/yokadi/tests/tests.py}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README.markdown doc/*.markdown
%{_mandir}/man*/*.*
%{_bindir}/%{name}
%{_bindir}/yokadid
%{_bindir}/xyokadi
%{_datadir}/%{name}/
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info


%changelog
* Wed Nov 03 2010 Fabian Affolter <fabian@bernewireless.net> - 0.12.0-2
- Added man pages

* Wed Nov 03 2010 Fabian Affolter <fabian@bernewireless.net> - 0.12.0-1
- Updated to new upstream version 0.12

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Dec 23 2009 Fabian Affolter <fabian@bernewireless.net> - 0.11.2-1
- Updated to new upstream version 0.11.2

* Sat Nov 20 2009 Fabian Affolter <fabian@bernewireless.net> - 0.11.1-1
- Updated to new upstream version 0.11.1

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 13 2009 Fabian Affolter <fabian@bernewireless.net> - 0.10.0-2
- Changed BR

* Mon Jul 13 2009 Fabian Affolter <fabian@bernewireless.net> - 0.10.0-1
- Initial spec for Fedora
